Subject: Q's and A's from AIW

From: "Michael O. Allen (919-254-4442)" <[email-masked]>
Date: Tue, 13 Jul 93 09:34:39 EDT

I promised several folks answers to some SNA/MS questions at AIW.  Here
are some of the answers.  Others will follow in a later note.

Regards,
Mike Allen

.........................................................................

Q:  How can I get NetView to allow mixed case text in the command and
    responses to RUNCMD?  Some of the commands on my system are case-
    sensitive, and don't work properly when NetView forces everthing
    into upper case.

A:  Following text is taken from page 45 of the IBM publication "AIX
    SystemView NetView/6000 and the Host Connection", SC31-6178.

    SENDING RUNCMDS WITH MIXED-CASE CHARACTERS

    This example shows a NetView command list that automatically issues
    a command containing mixed-case characters.  The command list
    contains keywords that enables a mixed-case command to be issued.

    In the following example, the command list automatically issues a
    AIX NetView/6000 snmpget command to obtain the sysDescr MIB
    variable binding from the host, aixnm004.

    Note that the keywords asis and ADDRESS NETVASIS are used to
    prevent case conversion from being performed by the NetView program
    and the service point application.

    The keyword "asis" precedes the snmpget command so that the service
    point application on the AIX NetView/6000 program will not perform
    case conversion on the received command.  The service point
    application automatically converts commands to lower-case
    alphabetical characters.

    The keywords "ADDRESS NETVASIS" precedes the RUNCMD string so that
    the NetView program will not perform case conversion on the RUNCMD
    command string.  The NetView program automatically converts
    commands to upper-case alphabetic characters.

            SERVPT= HIER(1)
            SERVPT = SUBSTR(SERVPT, 1, 8)
            SPAPPL = HIER(2)
            SPAPPL = SUBSTR(SPAPPL, 1, 8)
            CMD = "asissnmpget aixnm004 public system.sysDescr.0"
            ADDRESS NETVASIS "RUNCMD SP="SERVPT","APPL="SPAPPL","CMD
           EXIT

Q:  Where can I get NV/6000 information for customizing TRAP->Alert
    mapping?

A:  See the IBM publication "AIX SystemView NetView/6000 and the Host
    Connection", SC31-6178.

Q:  Where do I get documentation for RUNCMD on NV/6000?

A:  Same publication as previous question.